classification
Title: Use proper class markup for random.Random docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: berker.peksag, mark.dickinson, ncoghlan, rhettinger, vstinner
Priority: low Keywords: easy, patch

Created on 2018-06-06 14:22 by ncoghlan, last changed 2019-04-16 21:37 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7817 merged mbussonn, 2018-06-20 08:31
PR 12859 merged miss-islington, 2019-04-16 16:47
Messages (5)
msg318827 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2018-06-06 14:22
Talking to Berker on http://psf.upfronthosting.co.za/roundup/meta/issue644 I noticed that docs for random.Random are currently embedded in the module preamble text for https://docs.python.org/3/library/random.html and hence really easy to miss.

It would be good if they were broken out into a proper Sphix class directive so that the fact you can create your own dedicated pseudorandom number generators for specific purposes is easier to see on a quick scan of the docs.
msg318871 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-06-07 01:00
Thanks, I'll add a separate entry for the random.Random() class.
msg340356 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-16 16:47
New changeset 31e8d69bfe7cf5d4ffe0967cb225d2a8a229cc97 by Victor Stinner (Matthias Bussonnier) in branch 'master':
bpo-33783: Use proper class markup for random.Random docs (GHè7817)
https://github.com/python/cpython/commit/31e8d69bfe7cf5d4ffe0967cb225d2a8a229cc97
msg340367 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-16 21:32
New changeset a6fce19968cd39dfbc2684f97ca3184d9996f61e by Victor Stinner (Miss Islington (bot)) in branch '3.7':
bpo-33783: Use proper class markup for random.Random docs (GH-7817) (GH-12859)
https://github.com/python/cpython/commit/a6fce19968cd39dfbc2684f97ca3184d9996f61e
msg340368 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-16 21:37
I pushed Matthias's change. Thanks Matthias!

I am not sure that it implements exactly what Nick asked. Reopen the issue if it is not the case.
History
Date User Action Args
2019-04-16 21:37:27vstinnersetstatus: open -> closed
versions: - Python 3.6
messages: + msg340368

resolution: fixed
stage: patch review -> resolved
2019-04-16 21:32:45vstinnersetmessages: + msg340367
2019-04-16 16:47:32vstinnersetnosy: + vstinner
messages: + msg340356
2019-04-16 16:47:31miss-islingtonsetpull_requests: + pull_request12783
2018-06-20 08:31:04mbussonnsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request7425
2018-06-07 01:00:27rhettingersetpriority: normal -> low

messages: + msg318871
components: + Documentation
2018-06-06 18:18:30serhiy.storchakasetassignee: rhettinger

nosy: + rhettinger, mark.dickinson
2018-06-06 14:22:42ncoghlancreate